package com.yyj.Lighter;

import com.yyj.Lighter.ColorPickerDialog.OnColorChangedListener;
import android.app.Activity;
import android.content.Context;
import android.content.pm.FeatureInfo;
import android.content.pm.PackageManager;
import android.hardware.Camera;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.Window;
import android.view.WindowManager;
import android.view.WindowManager.LayoutParams;
import android.widget.LinearLayout;
import android.widget.Toast;

import com.yyj.Lighter.R;

public class LighterActivity extends Activity {
    /** Called when the activity is first created. */
	LinearLayout main;
	boolean hasFlashLight=false;
	Camera camera;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        //ޱ
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        //ȫ
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
        setContentView(R.layout.main);
        //´жֻǷ
        FeatureInfo[] feature=LighterActivity.this.getPackageManager().getSystemAvailableFeatures();
        for (FeatureInfo featureInfo : feature) {
			if (PackageManager.FEATURE_CAMERA_FLASH.equals(featureInfo.name)) {
				hasFlashLight=true;
				break;
			}
		}
        //
        if(hasFlashLight) {
			camera=Camera.open();
			Camera.Parameters parameters=camera.getParameters();
			parameters.setFlashMode(Camera.Parameters.FLASH_MODE_ON);
			parameters.setFlashMode(Camera.Parameters.FLASH_MODE_TORCH);
			camera.setParameters(parameters);
		} else {
			Toast.makeText(LighterActivity.this, "֧,Ļ", Toast.LENGTH_LONG).show();
			main=(LinearLayout)findViewById(R.id.main);
	        //ñɫΪɫ
	        main.setBackgroundColor(0xFFFFFFFF);
	        //ñΪ
	        LayoutParams lParams=getWindow().getAttributes();
	        lParams.screenBrightness=1.0f;
	        getWindow().setAttributes(lParams);
	        //ñ
	        getWindow().addFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON);
		}
    }

	@Override
	public boolean onTouchEvent(MotionEvent event) {
		if (event.getAction()==MotionEvent.ACTION_DOWN) {
			if (!hasFlashLight) {
				ColorPickerDialog cDialog=new ColorPickerDialog(LighterActivity.this, new OnColorChangedListener() {
					
					public void colorChanged(int color) {
						main.setBackgroundColor(color);
					}
				}, 0xFFFFFFFF);
				cDialog.setCanceledOnTouchOutside(true);
				cDialog.show();
			}
		}
		return super.onTouchEvent(event);
	}

	
	@Override
	protected void onDestroy() {
		//ͷCamara
		if (hasFlashLight) {
			Camera.Parameters parameters=camera.getParameters();
			parameters.setFlashMode(Camera.Parameters.FLASH_MODE_OFF);
			camera.setParameters(parameters);
			camera.release();
		}
		super.onDestroy();
	}
}